# Fuzbal

Friendly Usable Zero‐Bullshit Analyzer & Labeler: a keyboard‐driven utility for tagging events in video clips, created for analyzing football matches but likely useful for other kinds of videos.

While functional, this project is not yet production‐ready. While unlikely, it might eat your files or your cake.

## Usage

Open a video. Press `space` to start or stop video playback. Seek with `←` and `→`. Use `,` and `.` to decrease and increase the playback rate, and `=` to reset it.

To add a new event, press the key for the corresponding tag and fill out event details. Custom tags can be defined as a JSON array and loaded at runtime. See `tags.json` for the built‐in example showcasing all supported field types.

Events for `video.mp4` are saved in JSON format in the file `video.mp4.events`. Saved file includes tag definitions, which are loaded automatically when the file is opened. Event timestamps are stored with millisecond precision.

## Compiling

Qt≥5.14 is required. Once Debian catches up, this might be enough:

    # apt install git qtmultimedia-dev qtquickcontrols2-dev qml-module-qtmultimedia qml-module-qtquick-dialogs

One or more of the `gst-plugins` packages are needed at runtime to play videos. Build with:

    $ mkdir build && cd build
    $ qmake ..
    $ make

This should create the `fuzbal` binary.

## License

This project is released into the public domain. Breeze icons are distributed under LGPL3+. See `UNLICENSE` and `icons/breeze/LICENSE` for details.
